> ## Documentation Index
> Fetch the complete documentation index at: https://docs.julep.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Projects



## OpenAPI

````yaml https://api.julep.ai/api/openapi.json get /projects
openapi: 3.1.0
info:
  title: Julep Agents API
  description: API for Julep Agents
  termsOfService: https://www.julep.ai/terms
  contact:
    name: Julep
    url: https://www.julep.ai/
    email: developers@julep.ai
  version: 0.4.0
servers:
  - url: /api
security: []
paths:
  /projects:
    get:
      tags:
        - projects
      summary: List Projects
      operationId: list_projects_projects_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 100
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
        - name: sort_by
          in: query
          required: false
          schema:
            enum:
              - created_at
              - updated_at
            type: string
            default: created_at
            title: Sort By
        - name: direction
          in: query
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
            default: desc
            title: Direction
        - name: metadata_filter
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/MetadataFilter'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListResponse_Project_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    MetadataFilter:
      properties: {}
      additionalProperties: true
      type: object
      title: MetadataFilter
    ListResponse_Project_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/Project'
          type: array
          title: Items
      type: object
      required:
        - items
      title: ListResponse[Project]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Project:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          readOnly: true
        metadata:
          anyOf:
            - type: object
            - type: 'null'
          title: Metadata
        created_at:
          type: string
          format: date-time
          title: Created At
          readOnly: true
        updated_at:
          type: string
          format: date-time
          title: Updated At
          readOnly: true
        canonical_name:
          anyOf:
            - type: string
              maxLength: 255
              minLength: 1
              pattern: ^[a-zA-Z][a-zA-Z0-9_]*$
            - type: 'null'
          title: Canonical Name
        name:
          type: string
          maxLength: 255
          minLength: 1
          title: Name
      type: object
      required:
        - id
        - created_at
        - updated_at
        - name
      title: Project
      description: Project model
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization

````